#include "elektromagnetischer_sensor.h"

// Definition der Konstruktor-Methode für MagnetischerFlussdichte
MagnetischerFlussdichte::MagnetischerFlussdichte(double w) : wert(w) {}

// Definition der Getter-Methode für den Flussdichtewert
double MagnetischerFlussdichte::getWert() const {
    return wert;
}

// Definition der Methode zur Erkennung von Münzen
int ElektromagnetischerSensor::erkenneMünze(const MagnetischerFlussdichte& typ) {
    // Beispiellogik für die Erkennung einer Münze
    if (typ.getWert() > 0.5) {
        return 1; // Wenn die Flussdichte größer als 0.5 ist, wird eine Münze erkannt
    } else {
        return 0; // Ansonsten wird keine Münze erkannt
    }
}

// Definition der Methode zur Erkennung von Elektro-Magneten
int ElektromagnetischerSensor::erkennElektro_Magneten(const MagnetischerFlussdichte& typ) {
    // Beispiellogik für die Erkennung eines Elektro-Magneten
    if (typ.getWert() > 1.0) {
        return 1; // Wenn die Flussdichte größer als 1.0 ist, wird ein Elektro-Magnet erkannt
    } else {
        return 0; // Ansonsten wird kein Elektro-Magnet erkannt
    }
}
